none
Please suggest me the forum for WiX queries?

Answers

  • Hello,

    Based on a simple reading of the documentation, I'd say no.

    http://wixtoolset.org/documentation/manual/v3/main/

    "WiX supports both .NET 3.5 and 4.0 and later. WiX's MSBuild supports requires .NET 3.5, which is not installed by default on Windows 8 and Windows Server 2012 and later. To install the .NET 3.5 feature, go to Control Panel, open Programs and Features, and  choose Turn Windows features on or off. In the list of features, choose .NET  Framework 3.5 (includes .NET 2.0 and 3.0) and then choose OK.

    In the next version of WiX (v3.11), .NET 4.0 will be required; building using .NET 3.5 will no longer be supported"

    Makes it fairly clear that you have to install the .NET framework.

    Again, you'd need to ask on the WiX support mailing lists.

    Karl


    When you see answers and helpful posts, please click Vote As Helpful, Propose As Answer, and/or Mark As Answer.
    My Blog: Unlock PowerShell
    My Book: Windows PowerShell 2.0 Bible
    My E-mail: -join('6D73646E5F6B61726C406F75746C6F6F6B2E636F6D'-split'(?<=\G.{2})'|%{if($_){[char][int]"0x$_"}})

    Tuesday, September 1, 2015 1:45 PM
    Moderator

All replies

  • Hello,

    if you are referring to Wix.com (Wix.com is a cloud-based web development platform that allows users to create HTML5 web sites and mobile sites through the use of their online drag and drop tools), you'd have to ask them.

    If you are referring to wix oil filters, I'd ask your auto parts store.

    If you are referring to the WiX toolset on CodePlex, I'd ask the wix mailing list. Assuming that you actually are referring to the CodePlex project, here's a link to the documentation. http://wixtoolset.org/documentation/

    In case you think I am being facetious, the WiX toolset is only the third item in a Bing search, and we cannot determine what you are asking about without details.

    Karl


    When you see answers and helpful posts, please click Vote As Helpful, Propose As Answer, and/or Mark As Answer.
    My Blog: Unlock PowerShell
    My Book: Windows PowerShell 2.0 Bible
    My E-mail: -join('6D73646E5F6B61726C406F75746C6F6F6B2E636F6D'-split'(?<=\G.{2})'|%{if($_){[char][int]"0x$_"}})

    • Proposed as answer by Mike Laughlin Monday, August 31, 2015 2:51 PM
    Monday, August 31, 2015 2:34 PM
    Moderator
  • Thanks for the details.

    I am looking for below details...

    How to verify  Microsoft .NET Framework 4.5.2 Developer Pack is installed or not as part of WiX installer package during installation.
    WiX - Verifying Microsoft .NET Framework 4.5.2 Developer Pack in WiX installer package

    Thanks in advance,
    Ravi


    • Edited by chrasa Tuesday, September 1, 2015 6:00 AM
    Tuesday, September 1, 2015 6:00 AM
  • Hello,

    Based on a simple reading of the documentation, I'd say no.

    http://wixtoolset.org/documentation/manual/v3/main/

    "WiX supports both .NET 3.5 and 4.0 and later. WiX's MSBuild supports requires .NET 3.5, which is not installed by default on Windows 8 and Windows Server 2012 and later. To install the .NET 3.5 feature, go to Control Panel, open Programs and Features, and  choose Turn Windows features on or off. In the list of features, choose .NET  Framework 3.5 (includes .NET 2.0 and 3.0) and then choose OK.

    In the next version of WiX (v3.11), .NET 4.0 will be required; building using .NET 3.5 will no longer be supported"

    Makes it fairly clear that you have to install the .NET framework.

    Again, you'd need to ask on the WiX support mailing lists.

    Karl


    When you see answers and helpful posts, please click Vote As Helpful, Propose As Answer, and/or Mark As Answer.
    My Blog: Unlock PowerShell
    My Book: Windows PowerShell 2.0 Bible
    My E-mail: -join('6D73646E5F6B61726C406F75746C6F6F6B2E636F6D'-split'(?<=\G.{2})'|%{if($_){[char][int]"0x$_"}})

    Tuesday, September 1, 2015 1:45 PM
    Moderator